> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook record



## OpenAPI

````yaml /openapi.yaml get /webhooks/{webhookId}
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /webhooks/{webhookId}:
    get:
      tags:
        - Webhooks API
      summary: Get Webhook record
      operationId: get-webhook
      parameters:
        - name: webhookId
          in: path
          description: ID of the Webhook record
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Getting the requested Webhook record
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook'
        '404':
          description: No Webhook record can be found for the given ID
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Webhook:
      type: object
      description: Webhook record
      properties:
        id:
          type: string
          example: wbh_abc12345def678
          description: ID of the Webhook record, always starting with `wbh_`.
        type:
          type: string
          example: customer-created
          description: Type of event what will trigger this webhook.
        url:
          type: string
          example: https://mijnklantportaal.nl/webhook-incoming
          description: The URL which gets triggered
        secret:
          type: string
          example: OUJX2prdBbJxR77BZlGz
          description: >-
            A random string which will be added to the `X-Webhook-Signature`
            header of the webhook call. With this secret, you can validate if
            the request is coming from MijnKlantportaal.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: Date and time when the payment was started. Written in ATOM format.
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````